<?php

/**
 * Fired during plugin activation
 *
 * @link       https://designersuiteforwp.com
 * @since      1.0.0
 *
 * @package    Csd
 * @subpackage Csd/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Csd
 * @subpackage Csd/includes
 * @author     ORION <support@designersuiteforwp.com>
 */
class Csd_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		global $wp_rewrite;
		add_option( 'csd_do_activation_redirect', true );
		$wp_rewrite->flush_rules( false );
	}

}
