(function( $ ) {
	'use strict';
    $(document).ready(function () {
		var csd_attribute = {};
    
		$(".single_variation_wrap").on("show_variation", function (event, variation) {
			// Fired when the user selects all the required dropdowns / attributes
			// and a final variation is selected / shown
			var variation_id = $("input[name='variation_id']").val();
			if (variation_id)
			{
				$(".csd-buttons-wrap-variation").hide();
				$(".csd-buttons-wrap-variation[data-id='" + variation_id + "']").show();
	
				if (typeof hide_cart_button !== 'undefined') {
					if ($(".csd-buttons-wrap-variation[data-id='" + variation_id + "']").length > 0 && hide_cart_button === 1) {
						$(".csd-buttons-wrap-variation").parent().find('.add_to_cart_button').hide();
						$(".csd-buttons-wrap-variation").parent().find('.single_add_to_cart_button').hide();
					} else {
						$(".csd-buttons-wrap-variation").parent().find('.add_to_cart_button').show();
						$(".csd-buttons-wrap-variation").parent().find('.single_add_to_cart_button').show();
					}
				}
	
			}
		});

		$(".single_variation_wrap").on("hide_variation", function (event, variation) {
			$(".csd-buttons-wrap-variation").hide();
		});

    if($(".csd-buttons-wrap-variation").length > 0) var selecter = $(".csd-buttons-wrap-variation");
    else if($(".csd-buttons-wrap-simple").length > 0) selecter = $(".csd-buttons-wrap-simple");
    if(typeof selecter !== "undefined")
    {
      if(typeof pricing_rules !== "undefined"){
        pricing_rules = pricing_rules;
      }

      selecter.on("click", function(e){
        e.preventDefault();

        if(typeof variation_id !== "undefined")
          var pricing_rules = $(".price-rules-table-wrapper .price-rules-table[data-product-id='"+variation_id+"']").attr("data-price-rules");
        else
          var pricing_rules = $(".price-rules-table-wrapper .price-rules-table").attr("data-price-rules");

        var design_link = $(this).find("a").attr("href");
        $(this).find("a").attr("href", "#0");
        var attr = $(".variations").find("select");
        $(attr).each(function(){
            csd_attribute[$(this).attr("name")] = $(this).val();
        })

        var frm = new FormData();
            frm.append("action", "csd_save_user_choice");
            frm.append("csd_data_attr", JSON.stringify(csd_attribute));
            if(typeof pricing_rules !== "undefined")
              frm.append("csd_pricing_rules", pricing_rules);
            frm.append("variation_id", $("input[name='variation_id']").val());

        $.ajax({
            type: "POST",
            url: csd_ajax_object.csd_ajax_url,
            data: frm,
            processData: false,
            contentType: false,
          }).success(function (data) {
            if(data == "success")
            {
                document.location.href = design_link ;
            }
          })
          .fail(function (xhr, status, error) {
            alert(error);
         });

        //  console.log(JSON.stringify(cld_attribute))

      })
    }
	})

})( jQuery );
